Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::ValueEncoding Struct Reference

Specification of value encoding. More...

Inheritance diagram for peripheral::GatewaySensorManager::ValueEncoding:

## Public Attributes

string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value interpretation rules
int | minAccessInterval
| minimum time interval between two read accesses in seconds

## Detailed Description

Specification of value encoding.

Before an instance of Sensor can be created, an instance of ValueEncoding must be present. The Sensor locates the corresponding ValueEncoding using the sensor class id `encodingId`.

Definition at line 493 of file GatewaySensorManager.idl.

## Member Data Documentation

## encodingId

string peripheral::GatewaySensorManager::ValueEncoding::encodingId

encoding type id

Definition at line 494 of file GatewaySensorManager.idl.

## interpretationRules

vector<InterpretationRule> peripheral::GatewaySensorManager::ValueEncoding::interpretationRules

error/value interpretation rules

Definition at line 497 of file GatewaySensorManager.idl.

## invertState

boolean peripheral::GatewaySensorManager::ValueEncoding::invertState

invert when interpreting as state

Definition at line 496 of file GatewaySensorManager.idl.

## minAccessInterval

int peripheral::GatewaySensorManager::ValueEncoding::minAccessInterval

minimum time interval between two read accesses in seconds

Definition at line 498 of file GatewaySensorManager.idl.

## type

EncodingType peripheral::GatewaySensorManager::ValueEncoding::type

value coding type

Definition at line 495 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl